KFileFilter Class Referenceabstract

`#include <kfilefilter.h>`

Inheritance diagram for KFileFilter:

## Public Member Functions

virtual bool | passesFilter (const KFileItem *item) const =0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A KFileFilter is a simple base class for file filters.

Just reimplement passesFilter(). Base class for file filters.

Definition at line 41 of file kfilefilter.h.

## Member Function Documentation

virtual bool KFileFilter::passesFilter | ( | const KFileItem * | item | ) | const

pure virtual

Checks the given `item`.

Parameters

  item | the item to filter

Returns
  true if the `item` passes the filter, false otherwise

Implemented in KSimpleFileFilter.

The documentation for this class was generated from the following files:

- kfilefilter.h
- kfilefilter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys